site_name: Portail Data Functional Documentation
site_description: Portail Data Project Documentation with Markdown.
site_author: MkDocs Team

theme:
  name: null
  custom_dir: 'custom-material-theme'
  language: en
  palette:
    primary: dark-blue
    accent: dgl-red
  font:
    text: Titillium Web
    code: Roboto Mono
  logo: "/assets/images/logo.png"
  favicon: "/assets/images/favicon.png"
  feature:
    tabs: false

markdown_extensions:
    - plantuml_markdown:
        server: http://www.plantuml.com/plantuml

nav:
    - Home: index.md
    - Architecture Guide:
        - Admin-gui: architecture/admin-gui.md
        - Admin-tools: architecture/admin-tools.md
        - Api-gateway: architecture/api-gateway.md
        - CMS: architecture/cms.md
        - Monitoring: architecture/monitoring.md
        - Web-app: architecture/web-app.md
        - Services:
            - authentication: architecture/services/authentication.md
            - organizations: architecture/services/organizations.md
            - resources: architecture/services/resources.md
            - Elasticsearch:
                - Indexer: architecture/services/elasticsearch/indexer.md
    - UML Diagrams:
        - Webapp-auth: miscellaneous/webapp-auth.md
    - About:
        - Gitflow: miscellaneous/gitflow-ci-cd.md
        - VSCode: miscellaneous/vscode-settings.md
